Skip to main content
GET
/
generals
/
changes
List exchange rates
curl --request GET \
  --url https://api.piriod.com/generals/changes/ \
  --header 'Authorization: <api-key>'
{
  "count": 142,
  "results": [
    {
      "currency_from": "<string>",
      "currency_to": "<string>",
      "amount": 123,
      "date": "2023-12-25",
      "id": 123,
      "created": "2023-11-07T05:31:56Z",
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://piriod-d406ac55.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use header Authorization: Token <api_token>. API tokens are obtained from the Piriod dashboard.

Query Parameters

page
integer
default:1

Page number to retrieve (1-indexed).

Required range: x >= 1
page_size
integer
default:20

Number of items per page.

Required range: 1 <= x <= 100
ordering
string

Field to sort results by. Prefix with - for descending order (e.g. -created).

currency_from
string
currency_to
string
date
string<date>

Response

200 - application/json

Paginated exchange-rate list.

count
integer
required

Total number of items matching the filter.

Example:

142

results
object[]
required

The items in the current page.

next
string<uri> | null

URL of the next page, or null if last page.

previous
string<uri> | null

URL of the previous page, or null if first page.